Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class EXTGpuShader4

    java.lang.Object
      org.lwjgl.opengl.EXTGpuShader4

    public final class EXTGpuShader4

extends java.lang.Object

Field Summary
`static int` | `GL_INT_SAMPLER_1D_ARRAY_EXT`
`static int` | `GL_INT_SAMPLER_1D_EXT`
`static int` | `GL_INT_SAMPLER_2D_ARRAY_EXT`
`static int` | `GL_INT_SAMPLER_2D_EXT`
`static int` | `GL_INT_SAMPLER_2D_RECT_EXT`
`static int` | `GL_INT_SAMPLER_3D_EXT`
`static int` | `GL_INT_SAMPLER_BUFFER_EXT`
`static int` | `GL_INT_SAMPLER_CUBE_EXT`
`static int` | `GL_MAX_PROGRAM_TEXEL_OFFSET_EXT`
`static int` | `GL_MIN_PROGRAM_TEXEL_OFFSET_EXT` Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_SAMPLER_1D_ARRAY_EXT` Returned by the <type> parameter of GetActiveUniform:
`static int` | `GL_SAMPLER_1D_ARRAY_SHADOW_EXT`
`static int` | `GL_SAMPLER_2D_ARRAY_EXT`
`static int` | `GL_SAMPLER_2D_ARRAY_SHADOW_EXT`
`static int` | `GL_SAMPLER_BUFFER_EXT`
`static int` | `GL_SAMPLER_CUBE_SHADOW_EXT`
`static int` | `GL_UNSIGNED_INT`
`static int` | `GL_UNSIGNED_INT_SAMPLER_1D_ARRAY_EXT`
`static int` | `GL_UNSIGNED_INT_SAMPLER_1D_EXT`
`static int` | `GL_UNSIGNED_INT_SAMPLER_2D_ARRAY_EXT`
`static int` | `GL_UNSIGNED_INT_SAMPLER_2D_EXT`
`static int` | `GL_UNSIGNED_INT_SAMPLER_2D_RECT_EXT`
`static int` | `GL_UNSIGNED_INT_SAMPLER_3D_EXT`
`static int` | `GL_UNSIGNED_INT_SAMPLER_BUFFER_EXT`
`static int` | `GL_UNSIGNED_INT_SAMPLER_CUBE_EXT`
`static int` | `GL_UNSIGNED_INT_VEC2_EXT`
`static int` | `GL_UNSIGNED_INT_VEC3_EXT`
`static int` | `GL_UNSIGNED_INT_VEC4_EXT`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_INTEGER_EXT` Accepted by the <pname> parameters of GetVertexAttribdv, GetVertexAttribfv, GetVertexAttribiv, GetVertexAttribIivEXT, and GetVertexAttribIuivEXT:

Method Summary
`static void` | `glBindFragDataLocationEXT(int program, int colorNumber, java.nio.ByteBuffer name)`
`static int` | `glGetFragDataLocationEXT(int program, java.nio.ByteBuffer name)`
`static void` | `glGetUniformuEXT(int program, int location, java.nio.IntBuffer params)`
`static void` | `glGetVertexAttribIEXT(int index, int pname, java.nio.IntBuffer params)`
`static void` | `glGetVertexAttribIuEXT(int index, int pname, java.nio.IntBuffer params)`
`static void` | `glUniform1uEXT(int location, java.nio.IntBuffer value)`
`static void` | `glUniform1uiEXT(int location, int v0)`
`static void` | `glUniform2uEXT(int location, java.nio.IntBuffer value)`
`static void` | `glUniform2uiEXT(int location, int v0, int v1)`
`static void` | `glUniform3uEXT(int location, java.nio.IntBuffer value)`
`static void` | `glUniform3uiEXT(int location, int v0, int v1, int v2)`
`static void` | `glUniform4uEXT(int location, java.nio.IntBuffer value)`
`static void` | `glUniform4uiEXT(int location, int v0, int v1, int v2, int v3)`
`static void` | `glVertexAttribI1EXT(int index, java.nio.IntBuffer v)`
`static void` | `glVertexAttribI1iEXT(int index, int x)`
`static void` | `glVertexAttribI1uEXT(int index, java.nio.IntBuffer v)`
`static void` | `glVertexAttribI1uiEXT(int index, int x)`
`static void` | `glVertexAttribI2EXT(int index, java.nio.IntBuffer v)`
`static void` | `glVertexAttribI2iEXT(int index, int x, int y)`
`static void` | `glVertexAttribI2uEXT(int index, java.nio.IntBuffer v)`
`static void` | `glVertexAttribI2uiEXT(int index, int x, int y)`
`static void` | `glVertexAttribI3EXT(int index, java.nio.IntBuffer v)`
`static void` | `glVertexAttribI3iEXT(int index, int x, int y, int z)`
`static void` | `glVertexAttribI3uEXT(int index, java.nio.IntBuffer v)`
`static void` | `glVertexAttribI3uiEXT(int index, int x, int y, int z)`
`static void` | `glVertexAttribI4EXT(int index, java.nio.ByteBuffer v)`
`static void` | `glVertexAttribI4EXT(int index, java.nio.IntBuffer v)`
`static void` | `glVertexAttribI4EXT(int index, java.nio.ShortBuffer v)`
`static void` | `glVertexAttribI4iEXT(int index, int x, int y, int z, int w)`
`static void` | `glVertexAttribI4uEXT(int index, java.nio.ByteBuffer v)`
`static void` | `glVertexAttribI4uEXT(int index, java.nio.IntBuffer v)`
`static void` | `glVertexAttribI4uEXT(int index, java.nio.ShortBuffer v)`
`static void` | `glVertexAttribI4uiEXT(int index, int x, int y, int z, int w)`
`static void` | `glVertexAttribIPointerEXT(int index, int size, int type, int stride, java.nio.ByteBuffer buffer)`
`static void` | `glVertexAttribIPointerEXT(int index, int size, int type, int stride, java.nio.IntBuffer buffer)`
`static void` | `glVertexAttribIPointerEXT(int index, int size, int type, int stride, long buffer_buffer_offset)`
`static void` | `glVertexAttribIPointerEXT(int index, int size, int type, int stride, java.nio.ShortBuffer buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_VERTEX_ATTRIB_ARRAY_INTEGER_EXT

    public static final int GL_VERTEX_ATTRIB_ARRAY_INTEGER_EXT

  Accepted by the <pname> parameters of GetVertexAttribdv, GetVertexAttribfv, GetVertexAttribiv, GetVertexAttribIivEXT, and GetVertexAttribIuivEXT:

  See Also:
    Constant Field Values

### GL_SAMPLER_1D_ARRAY_EXT

    public static final int GL_SAMPLER_1D_ARRAY_EXT

  Returned by the <type> parameter of GetActiveUniform:

  See Also:
    Constant Field Values

### GL_SAMPLER_2D_ARRAY_EXT

    public static final int GL_SAMPLER_2D_ARRAY_EXT

See Also:
  Constant Field Values

### GL_SAMPLER_BUFFER_EXT

    public static final int GL_SAMPLER_BUFFER_EXT

See Also:
  Constant Field Values

### GL_SAMPLER_1D_ARRAY_SHADOW_EXT

    public static final int GL_SAMPLER_1D_ARRAY_SHADOW_EXT

See Also:
  Constant Field Values

### GL_SAMPLER_2D_ARRAY_SHADOW_EXT

    public static final int GL_SAMPLER_2D_ARRAY_SHADOW_EXT

See Also:
  Constant Field Values

### GL_SAMPLER_CUBE_SHADOW_EXT

    public static final int GL_SAMPLER_CUBE_SHADOW_EXT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT

    public static final int GL_UNSIGNED_INT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_VEC2_EXT

    public static final int GL_UNSIGNED_INT_VEC2_EXT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_VEC3_EXT

    public static final int GL_UNSIGNED_INT_VEC3_EXT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_VEC4_EXT

    public static final int GL_UNSIGNED_INT_VEC4_EXT

See Also:
  Constant Field Values

### GL_INT_SAMPLER_1D_EXT

    public static final int GL_INT_SAMPLER_1D_EXT

See Also:
  Constant Field Values

### GL_INT_SAMPLER_2D_EXT

    public static final int GL_INT_SAMPLER_2D_EXT

See Also:
  Constant Field Values

### GL_INT_SAMPLER_3D_EXT

    public static final int GL_INT_SAMPLER_3D_EXT

See Also:
  Constant Field Values

### GL_INT_SAMPLER_CUBE_EXT

    public static final int GL_INT_SAMPLER_CUBE_EXT

See Also:
  Constant Field Values

### GL_INT_SAMPLER_2D_RECT_EXT

    public static final int GL_INT_SAMPLER_2D_RECT_EXT

See Also:
  Constant Field Values

### GL_INT_SAMPLER_1D_ARRAY_EXT

    public static final int GL_INT_SAMPLER_1D_ARRAY_EXT

See Also:
  Constant Field Values

### GL_INT_SAMPLER_2D_ARRAY_EXT

    public static final int GL_INT_SAMPLER_2D_ARRAY_EXT

See Also:
  Constant Field Values

### GL_INT_SAMPLER_BUFFER_EXT

    public static final int GL_INT_SAMPLER_BUFFER_EXT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_1D_EXT

    public static final int GL_UNSIGNED_INT_SAMPLER_1D_EXT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_EXT

    public static final int GL_UNSIGNED_INT_SAMPLER_2D_EXT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_3D_EXT

    public static final int GL_UNSIGNED_INT_SAMPLER_3D_EXT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_CUBE_EXT

    public static final int GL_UNSIGNED_INT_SAMPLER_CUBE_EXT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_RECT_EXT

    public static final int GL_UNSIGNED_INT_SAMPLER_2D_RECT_EXT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_1D_ARRAY_EXT

    public static final int GL_UNSIGNED_INT_SAMPLER_1D_ARRAY_EXT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_ARRAY_EXT

    public static final int GL_UNSIGNED_INT_SAMPLER_2D_ARRAY_EXT

See Also:
  Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_BUFFER_EXT

    public static final int GL_UNSIGNED_INT_SAMPLER_BUFFER_EXT

See Also:
  Constant Field Values

### GL_MIN_PROGRAM_TEXEL_OFFSET_EXT

    public static final int GL_MIN_PROGRAM_TEXEL_OFFSET_EXT

  Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_PROGRAM_TEXEL_OFFSET_EXT

    public static final int GL_MAX_PROGRAM_TEXEL_OFFSET_EXT

See Also:
  Constant Field Values

Method Detail

### glVertexAttribI1iEXT

    public static void glVertexAttribI1iEXT(int index,
                                            int x)

### glVertexAttribI2iEXT

    public static void glVertexAttribI2iEXT(int index,
                                            int x,
                                            int y)

### glVertexAttribI3iEXT

    public static void glVertexAttribI3iEXT(int index,
                                            int x,
                                            int y,
                                            int z)

### glVertexAttribI4iEXT

    public static void glVertexAttribI4iEXT(int index,
                                            int x,
                                            int y,
                                            int z,
                                            int w)

### glVertexAttribI1uiEXT

    public static void glVertexAttribI1uiEXT(int index,
                                             int x)

### glVertexAttribI2uiEXT

    public static void glVertexAttribI2uiEXT(int index,
                                             int x,
                                             int y)

### glVertexAttribI3uiEXT

    public static void glVertexAttribI3uiEXT(int index,
                                             int x,
                                             int y,
                                             int z)

### glVertexAttribI4uiEXT

    public static void glVertexAttribI4uiEXT(int index,
                                             int x,
                                             int y,
                                             int z,
                                             int w)

### glVertexAttribI1EXT

    public static void glVertexAttribI1EXT(int index,
                                           java.nio.IntBuffer v)

### glVertexAttribI2EXT

    public static void glVertexAttribI2EXT(int index,
                                           java.nio.IntBuffer v)

### glVertexAttribI3EXT

    public static void glVertexAttribI3EXT(int index,
                                           java.nio.IntBuffer v)

### glVertexAttribI4EXT

    public static void glVertexAttribI4EXT(int index,
                                           java.nio.IntBuffer v)

### glVertexAttribI1uEXT

    public static void glVertexAttribI1uEXT(int index,
                                            java.nio.IntBuffer v)

### glVertexAttribI2uEXT

    public static void glVertexAttribI2uEXT(int index,
                                            java.nio.IntBuffer v)

### glVertexAttribI3uEXT

    public static void glVertexAttribI3uEXT(int index,
                                            java.nio.IntBuffer v)

### glVertexAttribI4uEXT

    public static void glVertexAttribI4uEXT(int index,
                                            java.nio.IntBuffer v)

### glVertexAttribI4EXT

    public static void glVertexAttribI4EXT(int index,
                                           java.nio.ByteBuffer v)

### glVertexAttribI4EXT

    public static void glVertexAttribI4EXT(int index,
                                           java.nio.ShortBuffer v)

### glVertexAttribI4uEXT

    public static void glVertexAttribI4uEXT(int index,
                                            java.nio.ByteBuffer v)

### glVertexAttribI4uEXT

    public static void glVertexAttribI4uEXT(int index,
                                            java.nio.ShortBuffer v)

### glVertexAttribIPointerEXT

    public static void glVertexAttribIPointerEXT(int index,
                                                 int size,
                                                 int type,
                                                 int stride,
                                                 java.nio.ByteBuffer buffer)

### glVertexAttribIPointerEXT

    public static void glVertexAttribIPointerEXT(int index,
                                                 int size,
                                                 int type,
                                                 int stride,
                                                 java.nio.IntBuffer buffer)

### glVertexAttribIPointerEXT

    public static void glVertexAttribIPointerEXT(int index,
                                                 int size,
                                                 int type,
                                                 int stride,
                                                 java.nio.ShortBuffer buffer)

### glVertexAttribIPointerEXT

    public static void glVertexAttribIPointerEXT(int index,
                                                 int size,
                                                 int type,
                                                 int stride,
                                                 long buffer_buffer_offset)

### glGetVertexAttribIEXT

    public static void glGetVertexAttribIEXT(int index,
                                             int pname,
                                             java.nio.IntBuffer params)

### glGetVertexAttribIuEXT

    public static void glGetVertexAttribIuEXT(int index,
                                              int pname,
                                              java.nio.IntBuffer params)

### glUniform1uiEXT

    public static void glUniform1uiEXT(int location,
                                       int v0)

### glUniform2uiEXT

    public static void glUniform2uiEXT(int location,
                                       int v0,
                                       int v1)

### glUniform3uiEXT

    public static void glUniform3uiEXT(int location,
                                       int v0,
                                       int v1,
                                       int v2)

### glUniform4uiEXT

    public static void glUniform4uiEXT(int location,
                                       int v0,
                                       int v1,
                                       int v2,
                                       int v3)

### glUniform1uEXT

    public static void glUniform1uEXT(int location,
                                      java.nio.IntBuffer value)

### glUniform2uEXT

    public static void glUniform2uEXT(int location,
                                      java.nio.IntBuffer value)

### glUniform3uEXT

    public static void glUniform3uEXT(int location,
                                      java.nio.IntBuffer value)

### glUniform4uEXT

    public static void glUniform4uEXT(int location,
                                      java.nio.IntBuffer value)

### glGetUniformuEXT

    public static void glGetUniformuEXT(int program,
                                        int location,
                                        java.nio.IntBuffer params)

### glBindFragDataLocationEXT

    public static void glBindFragDataLocationEXT(int program,
                                                 int colorNumber,
                                                 java.nio.ByteBuffer name)

### glGetFragDataLocationEXT

    public static int glGetFragDataLocationEXT(int program,
                                               java.nio.ByteBuffer name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.